Bug 728945 - unable to export in XHTML/HTML
Summary: unable to export in XHTML/HTML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 12:51 UTC by Ludwin Janvier
Modified: 2011-09-07 00:20 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-20.7.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:20:35 UTC


Attachments (Terms of Use)

Description Ludwin Janvier 2011-08-08 12:51:06 UTC
Description of problem:
While exporting a text document in HTML format, I've got an error message and the file is not created.

Version-Release number of selected component (if applicable):
openoffice.org-xsltfilter.i686 1:3.3.0-20.6.fc14

How reproducible:
always

Steps to Reproduce:
0. ensure you have openoffice.org-xsltfilter installed
1. create an empty text document
2. file -> export...
3. select the file name you want, any directory you can write
4. select XHTML and save
5. You got an error message (below) and no file
  
Actual results:
GUI box :
Write error: The file could not be written

stderr:
Warning: at xsl:stylesheet on line 58 of file:///usr/lib/openoffice.org/basis3.3/share/xslt/export/xhtml/opendoc2xhtml.xsl:
  Running an XSLT 1.0 stylesheet with an XSLT 2.0 processor
Error on line 1862 column 8 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/xhtml/body.xsl:
  SXXP0003: Error reported by XML parser: The element type "xsl:choose" must be terminated
  by the matching end-tag "</xsl:choose>".
Error at xsl:copy-of on line 166 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 30 on line 166 in {...t($sourceBaseURL, 'styles.x...}:
    Variable $sourceBaseURL has not been declared
Error at xsl:copy-of on line 169 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 30 on line 169 in {...cat($sourceBaseURL, 'meta.x...}:
    Variable $sourceBaseURL has not been declared
Error at xsl:if on line 376 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 376 in {$onlyStyleOutputEnabled}:
    Variable $onlyStyleOutputEnabled has not been declared
Error at xsl:when on line 595 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 595 in {$onlyStyleOutputEnabled}:
    Variable $onlyStyleOutputEnabled has not been declared
Error at xsl:for-each on line 694 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 694 in {document($stylesFileURL)}:
    Variable $stylesFileURL has not been declared
Error at xsl:if on line 70 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/xhtml/header.xsl:
  XPST0008: XPath syntax error at char 13 on line 70 in {$debugEnabled}:
    Variable $debugEnabled has not been declared
Error at xsl:if on line 75 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/xhtml/header.xsl:
  XPST0008: XPath syntax error at char 13 on line 75 in {$debugEnabled}:
    Variable $debugEnabled has not been declared
Error at xsl:if on line 80 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/xhtml/header.xsl:
  XPST0008: XPath syntax error at char 13 on line 80 in {$debugEnabled}:
    Variable $debugEnabled has not been declared
Error at xsl:call-template on line 545 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XTSE0650: No template exists named convert2pt
Error at xsl:call-template on line 551 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XTSE0650: No template exists named convert2pt
Error at xsl:call-template on line 619 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XTSE0650: No template exists named start-main
Error at xsl:call-template on line 624 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XTSE0650: No template exists named start-main
Error at xsl:call-template on line 629 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_collector.xsl:
  XTSE0650: No template exists named start-main
Error at xsl:call-template on line 338 of file:/usr/lib/openoffice.org/basis3.3/share/xslt/export/common/styles/style_mapping_css.xsl:
  XTSE0650: No template exists named convert2cm


Expected results:
A gorgeous XHTML file.

Additional info:

Comment 1 Caolan McNamara 2011-08-08 13:00:50 UTC
caolanm->dtardon: did workspace.dtardon03.patch get mangled somewhere along the lines to drop a closing tag maybe ? Can you have a look either way.

Comment 2 David Tardon 2011-08-08 15:06:38 UTC
dtardon->caolanm: I think it is missing xsl:when start tag, fixed in libreoffice 3.3 by commit 6998013adf9b17c4c20ea792e7777c609fc044c6 in filters. That it has not been reported till now gives us some measure about how much the XHTML export is used :)

Comment 3 David Tardon 2011-08-08 15:16:43 UTC
yeah, xmllint --noout filter/source/xslt/odf2xhtml/export/xhtml/body.xsl says the file is clean after applying that patch

Comment 4 Fedora Update System 2011-08-24 09:08:12 UTC
openoffice.org-3.3.0-20.7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.7.fc14

Comment 5 Fedora Update System 2011-08-26 19:05:49 UTC
Package openoffice.org-3.3.0-20.7.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openoffice.org-3.3.0-20.7.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.7.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-07 00:20:09 UTC
openoffice.org-3.3.0-20.7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.